Passage de Sarka 3.2 à 3.4

mardi 17 février 2015 à 11h27
par pgiron

Logo de pgiron

Bonjour,
J’ai suivi la procédure de la page http://www.sarka-spip.net/spip.php?article528 pour passer de la version 3.2 à 3.4. J’ai supprimé momentanément toutes les modifications apportées aux noisettes pour utiliser les fichiers de la distribution (j’ai redirigé le répertoire /squelettes vers un nouveau /squelettes_sarkaspip_3x. J’ai bien sûr vérifié la configuration de Sarka-SPIP...
Le problème : RIEN ne s’affiche sur le site public. Et comme il n’y pas l’air d’y avoir de page sommaire.html dans la distribution (sauf erreur de ma part), je suis un peu coincé. Pouvez-vous me dire où pour que je me sorte de là ?
Cordialement,
PhG


Réponses

17 février 2015 à 11h28

Je suis en SPIP 3.0.17.

17 février 2015 à 13h47

Message du débogueur : validation : XML_ERR_NAME_REQUIRED dans squelette plugins/auto/zcore/page.html et dans squelette plugins/auto/zcore/structure.html
Mes connaissances de PHP ne vont pas jusque là... Désolé...

19 février 2015 à 08h36

Bon ben, je repasse en 3.2...

19 février 2015 à 09h50

Après plusieurs tentatives vaines, j’en reste là aussi !
Il y a bien un "saut épistémologique" pour "grimper" en sarka 3 et 3.4 !
Dommage que ceux qui ne sont pas ultraspécialistes soient laissés sur le carreau.

Ceci fait bien le lit de Wordpress (qui n’en a pas besoin) ?

19 février 2015 à 10h12

Hello,

Je ne suis pas sur qu’on fasse avancer le problème ainsi. J’ai écrit un article pour le passage de la 3.2 à la 3.4. Dans l’article il est précisé que seules les personnalisations des noisettes html peuvent poser un souci.

Quel est exactement le souci que vous avez ? Il faut le détailler si vous voulez que je vous aiguille. Le mieux aussi serait que je puisse accéder au site.

Alors décrivez-moi vos problèmes que l’on puisse compléter ensemble l’article.

19 février 2015 à 18h37

Merci d’avoir répondu, malgré une tournure un peu ironique de ma remarque.
Ce n’est pas à prendre comme du mauvais esprit mais l’expression d’un dépit réel de celui qui n’arrive plus à monter dans les nouvelles locomotives (performantes) de SarkaSpip.
Jusqu’à l’étape précédente, je franchissais sans encombre les mises à jour de versions, par un simple transfert de ce qui était nécessaire par FTP. Et cela parce que je réussissais tout aussi facilement à installer d’abord les nouveautés sur mon ordi en local. Je n’y arrive plus.
Je suis bien sûr tout prêt à fournir mes données d’accès (via un mail privé).
Bravo pour tout ce qui est fait pour donner la possibilité de mettre en ligne des sites perso qui se tiennent.
A. Le Gall

20 février 2015 à 08h42

Bonjour,
Je rejoins l’avis d’alegall.
Pour ma part, voici ce que j’ai fait :
- j’ai créé un répertoire /squelettes_sarkaspip_3x
- j’ai simplement recopié mes squelettes personnalisés dans ce répertoire (et changé l’accès dans le couteau suisse).
- j’ai adapté la personnalisation de mes squelettes comme dit à la page http://www.sarka-spip.net/spip.php?article528 au moins dans la page sommaire.html

Mais ça ne me donne rien de probant, le système me dit qu’il manque justement ce qui ne devrait pas manquer : http://ww2.internet22.catholique.fr/ !

Je peux fournir tous les codes d’accès en privé si besoin.
Merci d’avance, je sèche...
Cordialement

20 février 2015 à 11h24

Salut pgiron,

As-tu installé les plugins nécessaires à la version 3.4 de Sarka-SPIP, en particulier Z-Core ? Il faut déjà regardé si la version 3.4 fonctionne sans les personnalisations. Ensuite, on les branche si ça fonctionne.

Si tu peux m’envoyer sur mon adresse perso les logins webmestre de ton site et les accès ftp je pourrais regarder ce qui ne va pas.

20 février 2015 à 11h32

Z-Core, oui bien sûr.
Je t’envoie ce que tu demandes par courrier privé.
Merci :-)


Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

Connexions’inscriremot de passe oublié ?